#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  frei0r-plugins-1.7.0

- Next

  gstreamer-1.20.0

- Up
- Home

# gavl-1.4.0

## Introduction to Gavl

Gavl is short for Gmerlin Audio Video Library. It is a low level library that handles the details of audio and video formats like colorspaces, samplerates, multichannel configurations etc. It provides standardized definitions for those formats as well as container structures for carrying audio samples or video images inside an application.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/gmerlin/gavl-1.4.0.tar.gz

- Download MD5 sum: 2752013a817fbc43ddf13552215ec2c0

- Download size: 4.4 MB

- Estimated disk space required: 50 MB

- Estimated build time: 0.8 SBU

### Gavl Dependencies

#### Required

libpng-1.6.37

#### Optional

Doxygen-1.9.3

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gavl

## Installation of Gavl

Install Gavl by running the following commands:

    LIBS=-lm                      \
    ./configure --prefix=/usr     \
                --without-doxygen \
                --docdir=/usr/share/doc/gavl-1.4.0 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`LIBS=-lm`: This variable ensures the math library is searched when linking.

`--without-doxygen`: This switch disables use of Doxygen. Omit if Doxygen is installed and you wish to build the API documentation.

## Contents

Installed Program: None
Installed Libraries: libgavl.so
Installed Directories: /usr/include/gavl and /usr/share/doc/gavl-1.4.0

### Short Descriptions

`libgavl.so` | is the Gmerlin Audio Video Library

Last updated on

- Prev

  frei0r-plugins-1.7.0

- Next

  gstreamer-1.20.0

- Up
- Home